org.apache.cassandra.cql

## Class CQLStatement

- java.lang.Object
- - org.apache.cassandra.cql.CQLStatement

-     public class CQLStatement
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `boundTerms`
    `java.lang.Object` | `statement`
    `StatementType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CQLStatement(StatementType type, java.lang.Object statement, int lastMarker)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final StatementType type

    - #### statement

          public final java.lang.Object statement

    - #### boundTerms

          public final int boundTerms

  - ### Constructor Detail

    - #### CQLStatement

          public CQLStatement(StatementType type,
                      java.lang.Object statement,
                      int lastMarker)

Copyright © 2014 The Apache Software Foundation